<%-- Reciprocal Net project
  -- header.jsp
  --
  -- 22-Jul-2002: hclin wrote first draft
  -- 05-Aug-2002: ekoperda redesigned UI slightly
  -- 06-Aug-2002: ekoperda added quicksearch and browse features
  -- 16-Sep-2002: jobollin shrank the menu bar (Task #430)
  -- 03-Oct-2002: jobollin implemented the reduced ReciprocalNet Logo
  --              (Task #489)
  -- 07-Oct-2002: adharurk added a feature that passes origURL to the 
  --              login.jsp when user clicks on 'Log in' link 
  -- 10-Oct-2002: adharurk fixed bug no.532 that threw an exception when user
  --              directly goes to 'login.jsp' before visiting any
  --              intermediate page
  -- 18-Nov-2002: ekoperda fixed bug 606; added a bunch of JavaScript to do the
  --              rollover
  -- 10-Dec-2002: jobollin fixed bug 637
  -- 11-Dec-2002: jobollin fixed bug 646
  --%>
<%@page import="org.recipnet.site.wrapper.HtmlHelper"
        import="java.net.URLEncoder" %>
<%@page import="org.recipnet.site.wrapper.AuthenticationController" %>
<jsp:useBean id="authController"
        class="org.recipnet.site.wrapper.AuthenticationController"
        scope="session" />  <% 
// authController is now available

HttpServletRequest httpRequest = (HttpServletRequest) request;

// All the JavaScript below is Macromedia-generated code to do a rollover
// for the "NSDL" part of our banner image. %>
<script language="JavaScript">
  <!-- // hide this script from non-javascript-enabled browsers
    function MM_findObj(n, d) { //v3.0
        var p, i, x;
        if (!d)
            d = document;
        if ((p = n.indexOf("?")) > 0 && parent.frames.length) {
            d = parent.frames[n.substring(p + 1)].document;
            n = n.substring(0,p);
        }
        if (!(x=d[n])&&d.all)
            x = d.all[n];
        for (i=0; !x && i < d.forms.length; i++)
            x = d.forms[i][n];
        for(i = 0; !x && d.layers && i < d.layers.length; i++)
            x = MM_findObj(n,d.layers[i].document);
        return x;
    }
    function MM_swapImage() { //v3.0
        var i, j=0, x, a = MM_swapImage.arguments;
        document.MM_sr = new Array;
        for (i = 0; i < (a.length - 2); i += 3) {
            if ((x = MM_findObj(a[i])) != null) {
                document.MM_sr[j++] = x;
                if(!x.oSrc)
                    x.oSrc=x.src;
                x.src=a[i+2];
            }
        }
    }
    if (document.images) {
        recipnetsmall_r2_c2_f2 = new Image(94 ,26);
        recipnetsmall_r2_c2_f2.src =
            "<%=httpRequest.getContextPath()%>/images/recipnet-small_r2_c2_f2.gif";
        recipnetsmall_r2_c2_f1 = new Image(94 ,26);
        recipnetsmall_r2_c2_f1.src =
            "<%=httpRequest.getContextPath()%>/images/recipnet-small_r2_c2.gif";
    }
  // stop hiding -->
</script>

<table class="header" border="0" cellspacing="0" width="100%">
  <tr>
    <td class="recipnetImage">
        <%--
          -- The table below is table is necessary to format the recipnet
          -- banner image and rollovers well.
          --%>
        <table border="0" cellpadding="0" cellspacing="0" width="439">
          <tr style="line-height: 0">
            <td colspan="2"><img name="recipnetsmall_r1_c1"
                    src="<%=httpRequest.getContextPath()%>/images/recipnet-small_r1_c1.gif"
                    width="439" height="49" border="0" /></td>
          </tr>
          <tr style="line-height: 0">
            <td><img name="recipnetsmall_r2_c1"
                    src="<%=httpRequest.getContextPath()%>/images/recipnet-small_r2_c1.gif"
                    width="345" height="26" border="0" /></td>
            <td><img name="recipnetsmall_r2_c2"
                    src="<%=httpRequest.getContextPath()%>/images/recipnet-small_r2_c2.gif"
                    width="94" height="26" border="0"
                    usemap="#m_recipnet-small_r2_c2" /></td>
          </tr>
          <map name="m_recipnet-small_r2_c2">
            <area shape="rect" coords="0,0,94,26" href="http://www.nsdl.org/"
                  onMouseOut="MM_swapImage('recipnetsmall_r2_c2','',
                    '<%=httpRequest.getContextPath()%>/images/recipnet-small_r2_c2.gif',1);"
                  onMouseOver="MM_swapImage('recipnetsmall_r2_c2','',
                    '<%=httpRequest.getContextPath()%>/images/recipnet-small_r2_c2_f2.gif',1);" />
          </map>
        </table>
    </td>
    <td class="siteImage"><a href="/"><img alt="Site sponsor" width="256"
        src="<%=httpRequest.getContextPath()%>/images/sitesponsor.gif"/></a>
    </td>
  </tr>
  <tr class="navBar">
    <td colspan="2"> 
      <span class="navMenu">
        <%= HtmlHelper.menuSpace(HtmlHelper.NAVBAR) %>
        <%= HtmlHelper.menuItem(HtmlHelper.NAVBAR, "Home", 
          httpRequest.getContextPath() + "/index.jsp", true) %>
        <%= HtmlHelper.menuSpace(HtmlHelper.NAVBAR) %>
        <%= HtmlHelper.menuItemSeparator(HtmlHelper.NAVBAR) %>
        <%= HtmlHelper.menuSpace(HtmlHelper.NAVBAR) %>
        <%= HtmlHelper.menuItem(HtmlHelper.NAVBAR, "Search",
          httpRequest.getContextPath() + "/search.jsp", true)%>
        <%= HtmlHelper.menuSpace(HtmlHelper.NAVBAR) %> 
        <%= HtmlHelper.menuItemSeparator(HtmlHelper.NAVBAR) %>
        <%= HtmlHelper.menuSpace(HtmlHelper.NAVBAR) %>
        <%= HtmlHelper.menuItem(HtmlHelper.NAVBAR, "Browse", 
          httpRequest.getContextPath() + "/search.jsp?browse=1", true)%>
        <%= HtmlHelper.menuSpace(HtmlHelper.NAVBAR) %> <%

        if (authController.canSubmitSamples()) { %>         
            <%= HtmlHelper.menuItemSeparator(HtmlHelper.NAVBAR) %>
            <%= HtmlHelper.menuSpace(HtmlHelper.NAVBAR) %>
            <%= HtmlHelper.menuItem(HtmlHelper.NAVBAR,"Submit Sample",
                    httpRequest.getContextPath() + "/lab/submit.jsp", true) %>
            <%= HtmlHelper.menuSpace(HtmlHelper.NAVBAR) %> <%
        }

        if (authController.isLabAdmin() || authController.isSiteAdmin()) { %>
            <%= HtmlHelper.menuItemSeparator(HtmlHelper.NAVBAR) %>
            <%= HtmlHelper.menuSpace(HtmlHelper.NAVBAR) %>
            <%= HtmlHelper.menuItem(HtmlHelper.NAVBAR,"Administrative Tools",
                    httpRequest.getContextPath() + "/admin/index.jsp", true) %>
            <%= HtmlHelper.menuSpace(HtmlHelper.NAVBAR) %> <%
        } %>
      
        <%= HtmlHelper.menuItemSeparator(HtmlHelper.NAVBAR) %>
        <%= HtmlHelper.menuSpace(HtmlHelper.NAVBAR) %>
        <%= HtmlHelper.menuItem(HtmlHelper.NAVBAR,"Other Sites",
                "http://www.reciprocalnet.org/master/sitelist.html", true) %>
      </span>
      <form id="goToSampleIdForm" 
            action="<%=httpRequest.getContextPath()%>/search.jsp"
            method="GET">
        <input name="quickSearch" type="text" onFocus="value=&quot;&quot;"
               value="go to sample #">
        <input type="submit" value=" Go ">
      </form>
    </td>
   </tr>
   <tr class="pageBar">
     <td colspan="2">
       <span class="pageTitle"><%=request.getParameter("pageTitle") %></span>
       <span class="pageMenu"> <%
          /*
           * If the user is already autherized, place a "Log Out" icon on the
           * page; else a "Login" icon should be placed.
           */
          if (!authController.checkUserAuthenticationStatus()) {
              String origUrl;
              if ((httpRequest.getServletPath().equals("/login.jsp"))) {
                  // special handling if user clicks on the 'Log in' when the 
                  // current page is 'login.jsp'. This is required to avoid
                  // recursive growth of origUrl string. 
                  origUrl = HtmlHelper.nullToBlank(httpRequest.getParameter(
                          "origURL"));
              } else {
                  origUrl = httpRequest.getContextPath() 
                          + httpRequest.getServletPath() 
                          + ((httpRequest.getQueryString() != null) 
                                  ? ("?" + httpRequest.getQueryString()) : "");
              }        
          
              out.print(HtmlHelper.menuItem(HtmlHelper.PAGEMENU, "Log in",
                      httpRequest.getContextPath() + "/login.jsp?origURL=" + 
                      URLEncoder.encode(origUrl), true));
          } else {
              if (authController.checkUserAuthenticationStatus()) {
                  out.print(authController.getFullName());
              } 
              out.print(HtmlHelper.menuSpace(HtmlHelper.PAGEMENU));
              out.print(HtmlHelper.menuItem(HtmlHelper.PAGEMENU, "Log out",
                      httpRequest.getContextPath() + "/logout.jsp", true));
          } %>
      </span>
    </td>
  </tr>
</table>

